Issue 55790 - OLE Objects are painted repetivly during import
Summary: OLE Objects are painted repetivly during import
Status: CLOSED FIXED
Alias: None
Product: Impress
Classification: Application
Component: open-import (show other issues)
Version: OOo 2.0
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.3
Assignee: mikhail.voytenko
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-11 16:21 UTC by clippka
Modified: 2007-08-02 16:49 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Impress binary document with internal ole objects (145.50 KB, application/octet-stream)
2005-10-11 16:31 UTC, clippka
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description clippka 2005-10-11 16:21:39 UTC
Load the attached bugdoc, the preview metafile for the included ole objects are
redrawn each time the model is set modified during load. This seems to be a
performance issue and should happen only once after loading has finished.
Comment 1 clippka 2005-10-11 16:31:58 UTC
Created attachment 30322 [details]
Impress binary document with internal ole objects
Comment 2 mikhail.voytenko 2006-07-17 16:01:35 UTC
Changing the target.
Comment 3 mikhail.voytenko 2006-11-08 10:27:06 UTC
There are two problems:
- most of the applications ignore EnableSetModified flag while sending
SFX_HIST_DOCCHANGED event
- during the import from binary format ( as the bugdoc shows ) the applications
create new objects and then fill them, that trigger the completely correct
update of the replacement image

Comment 4 mikhail.voytenko 2006-11-08 10:38:38 UTC
The problem happens in case of import from binary and plane XML formats.
Comment 5 mikhail.voytenko 2007-01-02 07:27:11 UTC
Should be fixed now.
Comment 6 mikhail.voytenko 2007-06-05 11:45:42 UTC
Adjusting the target.
Comment 7 mikhail.voytenko 2007-06-06 17:04:03 UTC
Works good for all the objects except the new chart ( after resync to m213 ).
The chart problem will be handled separately for successor issue 78151
Comment 8 mikhail.voytenko 2007-08-02 16:49:34 UTC
.